"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogHelper = void 0;
class LogHelper {
    Logger;
    constructor(logger) {
        this.Logger = logger;
    }
    LogInputs(action, inputs) {
        this.Logger.Trace(`[${action}]-Inputs: ${JSON.stringify({ inputs })}`);
    }
    LogRequest(action, request) {
        this.Logger.Trace(`[${action}]-Request: ${JSON.stringify({ request })}`);
    }
    LogResponse(action, response) {
        this.Logger.Trace(`[${action}]-Response: ${JSON.stringify({ response })}`);
    }
}
exports.LogHelper = LogHelper;
//# sourceMappingURL=log-helper.js.map