"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseClass = void 0;
const log_helper_1 = require("./log-helper");
const object_operations_1 = require("./object-operations");
const orchestrator_1 = require("./orchestrator");
class BaseClass {
    Logger;
    LogHelper;
    ObjectOperations;
    Orchestrator;
    constructor(logger) {
        this.Logger = logger;
        this.LogHelper = new log_helper_1.LogHelper(this.Logger);
        this.ObjectOperations = new object_operations_1.ObjectOperations();
        this.Orchestrator = new orchestrator_1.Orchestrator(this.Logger);
    }
}
exports.BaseClass = BaseClass;
//# sourceMappingURL=base-class.js.map